> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-mintlify-dfb0ffc0.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Describes a document

> Once you retrieve a list of all documents with their corresponding IDs, you can use this endpoint to get more details about a specific document.



## OpenAPI

````yaml get /mr/api/v1/docs/{id}
openapi: 3.0.0
info:
  title: Document Upload API
  description: API to pre-sign the URL for uploading documents.
  version: 1.0.0
  license:
    name: Proprietary License
    url: https://developer.eka.care/license
servers:
  - url: https://api.eka.care
    description: Production server
  - url: https://api.dev.eka.care
    description: Development server
security: []
tags:
  - name: Records
    description: API related to records document management.
paths:
  /mr/api/v1/docs/{id}:
    get:
      summary: Describes a document
      description: >-
        Once you retrieve a list of all documents with their corresponding IDs,
        you can use this endpoint to get more details about a specific document.
      operationId: getDocument
      parameters:
        - in: path
          name: id
          required: true
          description: Document ID to fetch the document details.
          schema:
            type: string
            example: 2df9e795-d368-4ceb-be9d-b44281703827
        - name: X-Pt-Id
          in: header
          required: true
          schema:
            type: string
          description: eka user id (OID)
      responses:
        '200':
          description: Description of a document.
          content:
            application/json:
              schema:
                type: object
                properties:
                  source:
                    type: string
                  document_date_epoch:
                    type: integer
                  tags:
                    type: array
                    uniqueItems: true
                    items:
                      type: string
                  dt:
                    type: string
                  smart_report:
                    type: object
                    properties:
                      verified:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                            value:
                              type: string
                            unit:
                              type: string
                            unit_eka_id:
                              type: string
                            range:
                              type: string
                            result:
                              type: string
                            result_id:
                              type: string
                              enum:
                                - sm-4067205096
                                - sm-2631712380
                                - sm-1420480405
                                - sm-5279215230
                                - sm-8146614980
                                - sm-5279274814
                                - sm-1220479757
                                - sm-2631771970
                                - sm-4067860500
                                - sm-5379306527
                                - sm-5612225938
                            display_result:
                              type: string
                            id:
                              type: integer
                            vital_id:
                              type: string
                            page_num:
                              type: integer
                            file_index:
                              type: integer
                            coordinates:
                              type: array
                              items:
                                type: object
                                properties:
                                  x:
                                    type: number
                                  'y':
                                    type: number
                            eka_id:
                              type: string
                            is_result_editable:
                              type: boolean
                            date:
                              type: integer
                              format: int64
                      unverified:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                            value:
                              type: string
                            unit:
                              type: string
                            unit_eka_id:
                              type: string
                            range:
                              type: string
                            result:
                              type: string
                            result_id:
                              type: string
                              enum:
                                - sm-4067205096
                                - sm-2631712380
                                - sm-1420480405
                                - sm-5279215230
                                - sm-8146614980
                                - sm-5279274814
                                - sm-1220479757
                                - sm-2631771970
                                - sm-4067860500
                                - sm-5379306527
                                - sm-5612225938
                            display_result:
                              type: string
                            id:
                              type: integer
                            vital_id:
                              type: string
                            page_num:
                              type: integer
                            file_index:
                              type: integer
                            coordinates:
                              type: array
                              items:
                                type: object
                                properties:
                                  x:
                                    type: number
                                  'y':
                                    type: number
                            eka_id:
                              type: string
                            is_result_editable:
                              type: boolean
                            date:
                              type: integer
                              format: int64
                  files:
                    type: array
                    items:
                      type: object
                      properties:
                        asset_url:
                          type: string
                          format: uri
                        file_type:
                          type: string
                          enum:
                            - IMG
                            - PDF
              example:
                source: androidp
                document_date_epoch: 1614556800
                document_type: lr
                tags:
                  - covid
                files:
                  - asset_url: >-
                      https://sample-lab-report.s3.ap-south-1.amazonaws.com/161494290947153/2df9e795-d368-4ceb-be9d-b44281703827/0cb1277e-1c4d-42cc-acd1-9630497e4f9d.jpeg
                    file_type: IMG
                  - asset_url: >-
                      https://sample-lab-report.s3.ap-south-1.amazonaws.com/161494290947153/2df9e795-d368-4ceb-be9d-b44281703827/0cb1277e-1c4d-42cc-acd1-9630497e4f9d.pdf
                    file_type: PDF
        '404':
          description: No such document.
        5XX:
          description: Unexpected error.
      security:
        - auth: []
components:
  securitySchemes:
    auth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````